package pl.amu.edu.demo.data;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.experimental.FieldDefaults;

@AllArgsConstructor(access = AccessLevel.PRIVATE)
@FieldDefaults(level = AccessLevel.PUBLIC, makeFinal = true)
@Builder(builderClassName = "AddressBuilder", setterPrefix = "with")
public class Address {
    String addressLine1;
    String addressLine2;
    String zipCode;
}

final class AddressBuilder {
    String addressLine1;
    String addressLine2 = null;
    String zipCode;
}
