package pl.amu.edu.demo.logic;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import lombok.ToString;
import lombok.experimental.FieldDefaults;

@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = true)
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
@ToString
public enum TestZipCodes {
    CHEAPEST_RATE_ZIP_CODE("55-464", 8000.0d),
    AVERAGE_RATE_ZIP_CODE("77-646", 9500.0d),
    PREMIUM_RATE_ZIP_CODE("98-765", 25000.0d);

    String zipCode;
    double ratePerSquareMeters;

}
