package pl.edu.amu.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;
import lombok.*;

import java.io.Serializable;

@Embeddable
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
@Getter
@ToString
public class AncestorKey implements Serializable {

    @Column(name = "person_id")
    Long personId;

    @Column(name = "ancestor_id")
    Long ancestorId;

}
