package pl.edu.amu.entity;

import pl.edu.amu.web.Messages;

import java.util.Locale;

import static java.lang.String.format;

public enum EventType {
    ADOPTION,
    BIRTH, DEATH,
    BURIAL,
    MARRIAGE, DIVORCE,
    BAPTISM, FIRST_COMMUNION, CONFIRMATION, ORDINATION,
    NAME_DAY,
    SCHOOL,
    NOT_APPLICABLE;

    public String getLocalizedName(String langCode) {
        return Messages.getMessage(langCode, format("event.type.%s", this.name().toLowerCase(Locale.ROOT)));
    }

}
