package pl.edu.amu.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;
import lombok.*;

import java.io.Serializable;

@Embeddable
@EqualsAndHashCode
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class FamilyPersonKey implements Serializable {

    @Column(name = "family_id")
    Long familyId;

    @Column(name = "person_id")
    Long personId;

}
