package pl.edu.amu.entity;

import static java.lang.String.format;

public enum PersonSex {
    FEMALE, MALE, UNSPECIFIED;

    public static PersonSex byInitial(String initial) {
        return switch (initial) {
            case "M" -> MALE;
            case "F" -> FEMALE;
            case "U" -> UNSPECIFIED;
            default -> throw new IllegalArgumentException(format("Don't know how to treat initial: %s", initial));
        };
    }

}
