package pl.amu.edu.demo.data;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.experimental.FieldDefaults;

@AllArgsConstructor(access = AccessLevel.PRIVATE)
@FieldDefaults(level = AccessLevel.PUBLIC, makeFinal = true)
@Builder(toBuilder = true)
public class Address {
    String addressLine1 = "Northern Bridge";
    String addressLine2 = null;
    String zipCode = "01-868";
}
