package pl.edu.amu.demo.life.repository;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
import pl.edu.amu.demo.life.jpa.Policy;

@Repository
public interface PolicyRepository extends CrudRepository<Policy, Long> {

    Iterable<Policy> findAllByInsuredPersonId(Long insuredPersonId);

}
