package pl.edu.amu.dto;

import lombok.Value;
import pl.edu.amu.entity.Event;
import pl.edu.amu.entity.Person;

import static pl.edu.amu.entity.EventType.*;

@Value(staticConstructor = "of")
public class Ancestor {

    Person person;
    int level;

    public Event findBirth() {
        return person.findEventByType(BIRTH);
    }

    public Event findMarriage() {
        return person.findEventByType(MARRIAGE);
    }

    public Event findDeath() {
        return person.findEventByType(DEATH);
    }

}
