package pl.edu.amu.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;
import lombok.*;

import java.io.Serializable;

@Embeddable
@EqualsAndHashCode
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class SourceEventKey implements Serializable {

    @Column(name = "source_id")
    Long sourceId;

    @Column(name = "event_id")
    Long eventId;

}
