package pl.edu.amu.repository;

import jakarta.transaction.Transactional;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
import pl.edu.amu.entity.SourceEvent;
import pl.edu.amu.entity.SourceEventKey;

@Repository
public interface SourceEventRepository extends CrudRepository<SourceEvent, SourceEventKey> {

    @Modifying
    @Transactional
    @Query(value = "INSERT INTO source_event (source_id, event_id) VALUES(?,?)", nativeQuery = true)
    void insert(Long sourceId, Long eventId);

}
