package pl.edu.amu.web;

import lombok.SneakyThrows;
import org.springframework.context.support.ResourceBundleMessageSource;

import java.util.Locale;

public class Messages {

    @SneakyThrows
    public static String getMessage(String langCode, String key) {
        var messageSource = new ResourceBundleMessageSource();
        messageSource.setDefaultEncoding("UTF-8");
        messageSource.setBasename("messages");
        return messageSource.getMessage(key, null, "%MISSING%", Locale.forLanguageTag(langCode));
    }

}
