package pl.edu.amu.web.data;

import lombok.*;
import lombok.experimental.FieldDefaults;
import pl.edu.amu.entity.EventType;

import java.time.LocalDate;

@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@FieldDefaults(level = AccessLevel.PUBLIC)
@ToString
public class EventUpsert {

    Long personId;
    EventType eventType;
    LocalDate eventDate;

}
